PipeWire 1.4.5 |

Loading...
Searching...
No Matches
Data Structures | Macros | Functions
list.h File Reference
SPA » Utilities » List

`spa/utils/list.h` More...

Go to the source code of this file.

## Data Structures
struct | spa_list

## Macros
#define | SPA_API_LIST static inline
#define | SPA_LIST_INIT(list)
#define | spa_list_is_empty(l)
#define | spa_list_first(head, type, member)
#define | spa_list_last(head, type, member)
#define | spa_list_append(list, item)
#define | spa_list_prepend(list, item)
#define | spa_list_is_end(pos, head, member)
#define | spa_list_next(pos, member)
#define | spa_list_prev(pos, member)
#define | spa_list_consume(pos, head, member)
#define | spa_list_for_each_next(pos, head, curr, member)
#define | spa_list_for_each_prev(pos, head, curr, member)
#define | spa_list_for_each(pos, head, member)
#define | spa_list_for_each_reverse(pos, head, member)
#define | spa_list_for_each_safe_next(pos, tmp, head, curr, member)
#define | spa_list_for_each_safe_prev(pos, tmp, head, curr, member)
#define | spa_list_for_each_safe(pos, tmp, head, member)
#define | spa_list_for_each_safe_reverse(pos, tmp, head, member)
#define | spa_list_cursor_start(cursor, head, member)
#define | spa_list_for_each_cursor(pos, cursor, head, member)
#define | spa_list_cursor_end(cursor, member)

## Functions
SPA_API_LIST void | spa_list_init (struct spa_list *list)
SPA_API_LIST int | spa_list_is_initialized (struct spa_list *list)
SPA_API_LIST void | spa_list_insert (struct spa_list *list, struct spa_list *elem)
SPA_API_LIST void | spa_list_insert_list (struct spa_list *list, struct spa_list *other)
SPA_API_LIST void | spa_list_remove (struct spa_list *elem)

## Detailed Description

`spa/utils/list.h`

## Macro Definition Documentation

## ◆ SPA_API_LIST

#define SPA_API_LIST static inline